rte_event_vector_adapter_info(3)

NAME
rte_event_vector_adapter_info

SYNOPSIS

#include <rte_event_vector_adapter.h>

  Data Fields

uint8_t max_vector_adapters_per_event_queue
uint16_t min_vector_sz
uint16_t max_vector_sz
uint64_t min_vector_timeout_ns
uint64_t max_vector_timeout_ns
uint8_t log2_sz

Detailed Description

Vector adapter info structure

Definition at line 189 of file rte_event_vector_adapter.h.

Field Documentation

  uint8_t max_vector_adapters_per_event_queue
Maximum number of vector adapters configurable

Definition at line 190 of file rte_event_vector_adapter.h.

  uint16_t min_vector_sz
Minimum vector size configurable

Definition at line 192 of file rte_event_vector_adapter.h.

  uint16_t max_vector_sz
Maximum vector size configurable

Definition at line 194 of file rte_event_vector_adapter.h.

  uint64_t min_vector_timeout_ns
Minimum vector timeout configurable

Definition at line 196 of file rte_event_vector_adapter.h.

  uint64_t max_vector_timeout_ns
Maximum vector timeout configurable

Definition at line 198 of file rte_event_vector_adapter.h.

  uint8_t log2_sz
True if the size configured should be in log2.

Definition at line 200 of file rte_event_vector_adapter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.